qtcurve (1.9-7build9) mantic; urgency=medium

  * No-change rebuild against Qt 5.15.9.

 -- Dmitry Shachnev <mitya57@ubuntu.com>  Wed, 17 May 2023 17:22:37 +0300

qtcurve (1.9-7build8) lunar; urgency=medium

  * No-change rebuild against Qt 5.15.8.

 -- Dmitry Shachnev <mitya57@ubuntu.com>  Sat, 14 Jan 2023 14:19:36 +0300

qtcurve (1.9-7build7) lunar; urgency=medium

  * No-change rebuild against Qt 5.15.7.

 -- Dmitry Shachnev <mitya57@ubuntu.com>  Sat, 10 Dec 2022 21:39:28 +0300

qtcurve (1.9-7build6) kinetic; urgency=medium

  * No-change rebuild against Qt 5.15.6.

 -- Dmitry Shachnev <mitya57@ubuntu.com>  Sun, 18 Sep 2022 10:53:52 +0300

qtcurve (1.9-7build5) kinetic; urgency=medium

  * No-change rebuild against Qt 5.15.4.

 -- Dmitry Shachnev <mitya57@ubuntu.com>  Wed, 18 May 2022 00:23:25 +0300

qtcurve (1.9-7build4) jammy; urgency=medium

  * No-change rebuild against Qt 5.15.3.

 -- Dmitry Shachnev <mitya57@ubuntu.com>  Sat, 19 Mar 2022 17:59:52 +0300

qtcurve (1.9-7build3) jammy; urgency=medium

  * No-change rebuild against latest gdk-pixbuf

 -- Jeremy Bicha <jeremy.bicha@canonical.com>  Wed, 09 Mar 2022 16:06:15 -0500

qtcurve (1.9-7build2) hirsute; urgency=medium

  * No-change rebuild against qtbase-abi-5-15-2.

 -- Dmitry Shachnev <mitya57@ubuntu.com>  Fri, 27 Nov 2020 21:38:58 +0300

qtcurve (1.9-7build1) hirsute; urgency=medium

  * No-change rebuild against qtbase-abi-5-15-1.

 -- Dmitry Shachnev <mitya57@ubuntu.com>  Fri, 30 Oct 2020 17:08:13 +0300

qtcurve (1.9-7) unstable; urgency=medium

  * Team upload.
  * Backport upstream patch to fix build with Qt 5.15 (closes: #972154).

 -- Dmitry Shachnev <mitya57@debian.org>  Sun, 18 Oct 2020 15:09:31 +0300

qtcurve (1.9-6) unstable; urgency=medium

  * Team upload.
  * Update Homepage to https://invent.kde.org/system/qtcurve.
  * Explicitly add more required build dependencies: gettext,
    libkf5guiaddons-dev, libkf5iconthemes-dev, libkf5style-dev, and
    libkf5windowsystem-dev. (Closes: #962739)
  * Do not install the TODO.md file as documentation, as it is not useful for
    users.
  * Remove the kde-style-qtcurve-qt4 suggest from kde-style-qtcurve-qt5, as
    it does not exist anymore.
  * Remove all the ${misc:Pre-Depends} substvar: other than empty, they were
    used in Depends fields.

 -- Pino Toscano <pino@debian.org>  Thu, 25 Jun 2020 10:06:28 +0200

qtcurve (1.9-5) unstable; urgency=medium

  [ Sven Mueller ]
  * Add build dependency on libx11-xcb-dev. (Closes: #952244)

  [ Boris Pek ]
  * Update debian/control:
    - bump Standards-Version to 4.5.0 (was 4.4.1): no changes required
    - replace build dependency from debhelper (>= 12~) to
      debhelper-compat (= 12)
    - add "Rules-Requires-Root: no"
  * Update years in debian/copyright.
  * Delete debian/compat.

 -- Boris Pek <tehnick@debian.org>  Wed, 26 Feb 2020 02:56:14 +0300

qtcurve (1.9-4) unstable; urgency=medium

  * Team upload.
  * Drop Qt4 support (Closes: #875149)

 -- Scott Kitterman <scott@kitterman.com>  Sun, 25 Aug 2019 12:23:45 -0400

qtcurve (1.9-3) unstable; urgency=medium

  [ Dmitry Shachnev ]
  * Backport upstream patch to fix build with GCC 9.x. (Closes: #925813)

  [ Boris Pek ]
  * Update debian/control:
   - bump debhelper version to 12~ (was 11~); update debian/compat
   - bump Standards-Version to 4.4.0 (was 4.2.1): no changes required
  * Simplify debian/rules:
    - delete --list-missing option from dh
    - stop adding of CPPFLAGS into CXXFLAGS using of DEB_CXXFLAGS_MAINT_APPEND
      as workaround for cmake because debhelper already does this since version
      9.20120417
  * Update debian/upstream/signing-key.asc:
    fix lintian note public-upstream-key-not-minimal.
  * Update debian/gtk2-engines-qtcurve.lintian-overrides.
  * Update debian/upstream/metadata.
  * Delete debian/source/options.
  * Update years in debian/copyright.

 -- Boris Pek <tehnick@debian.org>  Thu, 25 Jul 2019 03:08:47 +0300

qtcurve (1.9-2) unstable; urgency=medium

  * Move package to unstable: no changes required.

 -- Boris Pek <tehnick@debian.org>  Sun, 23 Sep 2018 21:22:55 +0300

qtcurve (1.9-1) experimental; urgency=medium

  * New upstream release.
  * Bump debhelper version to 11~ (was 9); update debian/compat.
  * Bump Standards-Version to 4.2.1 (was 4.2.0): no changes required.
  * Delete all debian/patches/*: some of them already in upstream and others
    are not required anymore.
  * Rewrite debian/watch: upstream has finally uploaded release tarball to
    download.kde.org, so we may use it instead of git repo on cgit.kde.org.
  * Simplify debian/rules: delete --parallel option from dh.
  * Set "Section: libs" for binary package libqtcurve-utils2.
  * Add debian/upstream/signing-key.asc.
  * Add debian/upstream/metadata.
  * Update debian/copyright:
    - update Format field: http --> https
    - update Source field: download.kde.org is used now

 -- Boris Pek <tehnick@debian.org>  Fri, 21 Sep 2018 01:46:19 +0300

qtcurve (1.8.18+git20160320-3d8622c-6) unstable; urgency=medium

  * Update debian/control:
    - bump Standards-Version to 4.2.0 (was 4.0.0)
    - update Vcs-* fields: moved from Alioth to Salsa
    - replace build dependency from kio-dev to libkf5kio-dev
      [Thanks to Pino Toscano] (Closes: #885393)
  * Add patch fix-random-hangs-and-crashes-of-Qt-based-applications:
    fixes random hangs of Qt5-based applications and crashes of Qt4-based
    applications after moving of mouse pointer over the menu bar.
    [Thanks to Andrey Rahmatullin] (Closes: #905327, #905354)
  * Update debian/gtk2-engines-qtcurve.lintian-overrides.
  * Delete get-orig-source section from debian/rules.
  * Update years and emails in debian/copyright.

 -- Boris Pek <tehnick@debian.org>  Fri, 17 Aug 2018 02:27:09 +0300

qtcurve (1.8.18+git20160320-3d8622c-5) unstable; urgency=medium

  * Add patch replace-memcmp-with-strncmp. It fixes crash when using QtCurve
    widget style and Breeze preset. (Closes: #865765)
    [Thanks to Sergey Sharybin]

 -- Boris Pek <tehnick@debian.org>  Thu, 03 Aug 2017 15:47:38 +0300

qtcurve (1.8.18+git20160320-3d8622c-4) unstable; urgency=medium

  [ Dmitry Shachnev ]
  * Backport upstream patch to fix build with Qt 5.9. (Closes: #867576)

  [ Boris Pek ]
  * Update debian/control:
    - bump Standards-Version to 4.0.0 (was 3.9.8): no changes required
    - package qtcurve-l10n is "Multi-Arch: foreign" now
    - package qtcurve is "Multi-Arch: same" now
    - update project Homepage
  * Update debian/watch.
  * Update debian/copyright.
  * Fix debian/*.lintian-overrides.

 -- Boris Pek <tehnick@debian.org>  Thu, 20 Jul 2017 19:54:29 +0300

qtcurve (1.8.18+git20160320-3d8622c-3) unstable; urgency=medium

  * Add workaround-for-kwin-x11-crashes.patch. (Closes: #823674)

 -- Boris Pek <tehnick@debian.org>  Wed, 11 May 2016 23:52:03 +0300

qtcurve (1.8.18+git20160320-3d8622c-2) unstable; urgency=medium

  * Add fix-segfault-in-qt4-style-on-mouse-move-to-window-title.patch.

 -- Boris Pek <tehnick@debian.org>  Wed, 27 Apr 2016 15:56:27 +0300

qtcurve (1.8.18+git20160320-3d8622c-1) unstable; urgency=medium

  * New upstream Git snapshot (1.8.18-251-g3d8622c) from:
    http://quickgit.kde.org/?p=qtcurve.git
  * Localization files are taken from last stable release (1.8.18).
  * Fixed in upstream: fix build with libc6 >= 2.23.
    (Closes: #818838, LP: #1567791)
  * Update debian/control:
    - bump Standards-Version to 3.9.8 (was 3.9.6): no changes required
    - fix lintian notes vcs-field-uses-insecure-uri
  * Update debian/rules:
    - enable all hardening flags
    - delete override_dh_builddeb target

 -- Boris Pek <tehnick@debian.org>  Tue, 26 Apr 2016 00:18:18 +0300

qtcurve (1.8.18+git20160112-0cd6aae-1) unstable; urgency=medium

  * New upstream Git snapshot (1.8.18-246-g0cd6aae) from:
    http://quickgit.kde.org/?p=qtcurve.git
  * Localization files are taken from last stable release (1.8.18).
  * Update years in debian/copyright.

 -- Boris Pek <tehnick@debian.org>  Fri, 22 Jan 2016 01:11:26 +0300

qtcurve (1.8.18+git20150711-a3fff13-5) unstable; urgency=medium

  * Update debian/control:
    - package libqtcurve-utils2 now Breaks and Replaces libqtcurve-utils1
      (>= 1.8.18+git20150711-a3fff13-1)
    - move gtk2-engines-qtcurve from Recommends to Suggests in package
      kde-style-qtcurve-qt4
    - move gtk2-engines-qtcurve and kde-style-qtcurve-qt4 from Recommends to
      Suggests in package kde-style-qtcurve-qt5
    - move kwin-decoration-oxygen and oxygen-icon-theme from Recommends to
      Suggests in metapackage qtcurve
  * Simplify debian/gtk2-engines-qtcurve.lintian-overrides.

 -- Boris Pek <tehnick@debian.org>  Wed, 29 Jul 2015 01:24:17 +0300

qtcurve (1.8.18+git20150711-a3fff13-4) unstable; urgency=medium

  * Move package to unstable: no changes required.
  * This package replaces src:gtk2-engines-qtcurve and src:kde-style-qtcurve.

 -- Boris Pek <tehnick@debian.org>  Tue, 28 Jul 2015 08:56:32 +0300

qtcurve (1.8.18+git20150711-a3fff13-3) experimental; urgency=medium

  * Update debian/control:
    - rename package libqtcurve-utils1 to libqtcurve-utils2 for matching
      sonames
    - rename package kde-style-qtcurve to kde-style-qtcurve-qt4
    - package kde-style-qtcurve-qt4 now Provides, Replaces and Conflicts with
      package kde-style-qtcurve
    - package kde-style-qtcurve-qt4 now recommends kde-style-qtcurve-qt5
    - package gtk2-engines-qtcurve now recommends kde-style-qtcurve-qt4 and
      kde-style-qtcurve-qt5
    - package kde-style-qtcurve-qt5 now recommends gtk2-engines-qtcurve and
      kde-style-qtcurve-qt4

 -- Boris Pek <tehnick@debian.org>  Sun, 26 Jul 2015 12:50:47 +0300

qtcurve (1.8.18+git20150711-a3fff13-2) experimental; urgency=medium

  * Update debian/control:
    - delete kwin-style-qtcurve from Recommends of package kde-style-qtcurve
    - move gtk2-engines-qtcurve from Suggests to Recommends of package
      kde-style-qtcurve
    - remove kwin-style-qtcurve from Depends of metapackage qtcurve

 -- Boris Pek <tehnick@debian.org>  Sun, 26 Jul 2015 11:39:21 +0300

qtcurve (1.8.18+git20150711-a3fff13-1) experimental; urgency=medium

  * Upstream Git snapshot (1.8.18-242-ga3fff13) is taken from:
    http://quickgit.kde.org/?p=qtcurve.git
  * Localization files are taken from last stable release (1.8.18).
  * Fixed in upstream:
    - gtk2-engines-qtcurve: inkscape 0.91 crashes after palette mouse-over
      (Closes: #786831)
    - gtk2-engines-qtcurve: massive memory leak in mysql-workbench
      (Closes: #682162)
  * Update debian/patches:
    - delete qt53-build-fix.diff (fixed in upstream)
    - add enable-translations.patch
  * Update debian/control:
    - bump Standards-Version to 3.9.6 (was 3.9.5): no changes required
    - update Build-Depends for transition from KDE4 to KF5:
      + delete dependencies from: kdebase-workspace-dev and qtdeclarative5-dev
      + add dependencies from: extra-cmake-modules, kio-dev,
        libkf5archive-dev, libkf5config-dev, libkf5configwidgets-dev,
        libkf5i18n-dev, libkf5kdelibs4support-dev, libkf5widgetsaddons-dev,
        libkf5xmlgui-dev, libqt5x11extras5-dev, libxcb1-dev, pkg-config
        [Thanks to Scarlett Clark]
    - delete package kwin-style-qtcurve: it is not available for KF5 yet
      (LP: #1452218)
    - package kde-style-qtcurve now provides package kde-style-qtcurve-qt4
    - package kde-style-qtcurve is "Multi-Arch: same" now
    - metapackage qtcurve now depends on kde-style-qtcurve-qt5 and recommends
      kwin-decoration-oxygen, oxygen-icon-theme and oxygencursors
  * Update debian/rules:
    - build using kf5 libraries instead of kde4
    - update configure flags
    - use xz compression in packages
  * Update debian/kde-style-qtcurve.install:
    there are no KDE4 related files anymore.
  * Update debian/kde-style-qtcurve-qt5.install.
  * Update debian/copyright.

 -- Boris Pek <tehnick@debian.org>  Sun, 26 Jul 2015 04:17:05 +0300

qtcurve (1.8.18-3) experimental; urgency=medium

  * Add patch to fix build with QT 5.3. (Closes: #777128)

 -- Ritesh Raj Sarraf <rrs@debian.org>  Sun, 08 Feb 2015 20:18:05 +0530

qtcurve (1.8.18-2) experimental; urgency=medium

  * Move Qt5 style into separate package kde-style-qtcurve-qt5.
  * Package qtcurve now recommends kde-style-qtcurve-qt5.
  * Update description of package qtcurve.

 -- Boris Pek <tehnick@debian.org>  Tue, 18 Mar 2014 13:49:00 +0400

qtcurve (1.8.18-1) experimental; urgency=medium

  * Initial release.  (Closes: #726767)

 -- Boris Pek <tehnick@debian.org>  Tue, 18 Mar 2014 00:22:08 +0400
